View Issue Details

IDProjectCategoryView StatusLast Update
0012631mantisbtjavascriptpublic2014-12-08 00:33
ReporterdhxAssigned Todhx 
PrioritynormalSeverityminorReproducibilityN/A
Status closedResolutionfixed 
Product Version1.2.15 
Target Version1.3.0-beta.1Fixed in Version1.3.0-beta.1 
Summary0012631: Replace old inline dynamic filter code with jQuery equivalent
Description

MantisBT is currently using an antiquated method for handling dynamic filters. This method makes use of a whole lot of custom JavaScript code that is likely not very robust and cross-browser-compatible. The current method also makes heavy use of inline JavaScript which blocks our progress towards removing all inline JavaScript from our HTML output as per bug 0011826.

Instead of using this old method we should instead use a modern jQuery AJAX equivalent that will be much simpler and require far less code. It is also very easy to get jQuery AJAX working entirely from within external JavaScript files.

TagsNo tags attached.

Relationships

related to 0015721 closedgrangeway Functionality to consider porting to master-2.0.x 
has duplicate 0009793 closeddhx ActiveXObject emulation hack should be removed 
child of 0011826 closeddhx Remove all inline JavaScript from MantisBT (use external scripts instead) 

Activities

grangeway

grangeway

2013-04-05 17:57

reporter   ~0036399

Marking as 'acknowledged' not resolved/closed to track that change gets ported to master-2.0.x branch

Related Changesets

MantisBT: master 7790835c

2010-12-26 02:26:39

dhx

Details Diff
Issue 0012631: Replace old dynamic filter JavaScript code with jQuery

MantisBT was using a very old and messy method for handling dynamic
filters with client side JavaScript. This involved a lot of inline
JavaScript throughout the HTML output which is blocking our progress
towards bug 0011826 - completely removing all inline JavaScript from the
HTML output.

This patch removes the old dynamic filter JavaScript approach and
replaces it with a smaller, faster, more reliable and easier to maintain
jQuery equivalent.
rm - javascript/dev/addLoadEvent.js Diff File
mod - core/helper_api.php Diff File
mod - javascript/common.js Diff File
mod - docbook/Admin_Guide/en-US/Configuration.xml Diff File
rm - javascript/dynamic_filters.js Diff File
mod - core/filter_api.php Diff File
mod - view_all_bug_page.php Diff File
mod - core/obsolete.php Diff File
rm - javascript/dev/dynamic_filters.js Diff File
mod - core/print_api.php Diff File
mod - return_dynamic_filters.php Diff File
mod - lang/strings_english.txt Diff File
mod - admin/check/check_display_inc.php Diff File
rm - javascript/dev/xmlhttprequest.js Diff File
rm - javascript/xmlhttprequest.js Diff File
rm - javascript/addLoadEvent.js Diff File
mod - view_filters_page.php Diff File
mod - config_defaults_inc.php Diff File

Issue History

Date Modified Username Field Change
2010-12-25 21:36 dhx New Issue
2010-12-25 21:36 dhx Status new => assigned
2010-12-25 21:36 dhx Assigned To => dhx
2010-12-25 21:36 dhx Relationship added child of 0011826
2010-12-25 21:44 dhx Changeset attached => MantisBT master 7790835c
2010-12-25 21:44 dhx Status assigned => resolved
2010-12-25 21:44 dhx Fixed in Version => 1.3.0-beta.1
2010-12-25 21:44 dhx Resolution open => fixed
2010-12-26 07:57 dhx Relationship added has duplicate 0009793
2011-01-03 02:10 vignesh87 File Added: raja resume.doc
2011-01-03 10:38 atrol File Deleted: raja resume.doc
2013-04-05 17:57 grangeway Status resolved => acknowledged
2013-04-05 17:57 grangeway Note Added: 0036399
2013-04-05 18:13 grangeway Relationship added related to 0015721
2013-04-06 03:44 dregad Status acknowledged => resolved
2013-04-06 07:20 grangeway Status resolved => acknowledged
2013-04-06 09:26 dregad Tag Attached: 2.0.x check
2013-04-06 09:26 dregad Status acknowledged => resolved
2013-10-18 16:29 atrol Product Version 1.3.0-beta.1 => 1.2.15
2014-09-23 18:05 grangeway Tag Detached: 2.0.x check
2014-12-08 00:33 vboctor Status resolved => closed